Loading...
Searching...
No Matches
CglProbing.hpp File Reference
`#include <string>`
`#include "CglCutGenerator.hpp"`
Include dependency graph for CglProbing.hpp:

Go to the source code of this file.

## Classes

struct | disaggregationAction
| Only useful type of disaggregation is most normal For now just done for 0-1 variables Can be used for building cliques. More...
class | CglProbing
| Probing Cut Generator Class. More...
struct | CglProbing::CliqueType
| Clique type. More...
struct | CglProbing::disaggregation_struct_tag
| Disaggregation cuts and for building cliques. More...
class | CglImplication
| This just uses implication info. More...

## Functions

int | affectedInDisaggregation (const disaggregationAction &dis)
void | setAffectedInDisaggregation (disaggregationAction &dis, int affected)
bool | zeroOneInDisaggregation (const disaggregationAction &dis)
void | setZeroOneInDisaggregation (disaggregationAction &dis, bool zeroOne)
bool | whenAtUBInDisaggregation (const disaggregationAction &dis)
void | setWhenAtUBInDisaggregation (disaggregationAction &dis, bool whenAtUB)
bool | affectedToUBInDisaggregation (const disaggregationAction &dis)
void | setAffectedToUBInDisaggregation (disaggregationAction &dis, bool affectedToUB)
void | CglProbingUnitTest (const OsiSolverInterface *siP, const std::string mpdDir)
| A function that tests the methods in the CglProbing class.

## Function Documentation

## affectedInDisaggregation()

int affectedInDisaggregation | ( | const disaggregationAction & | dis | ) |

inline

Definition at line 457 of file CglProbing.hpp.

## setAffectedInDisaggregation()

void setAffectedInDisaggregation | ( | disaggregationAction & | dis,
|  | int | affected )

inline

Definition at line 459 of file CglProbing.hpp.

## zeroOneInDisaggregation()

bool zeroOneInDisaggregation | ( | const disaggregationAction & | dis | ) |

inline

Definition at line 466 of file CglProbing.hpp.

## setZeroOneInDisaggregation()

void setZeroOneInDisaggregation | ( | disaggregationAction & | dis,
|  | bool | zeroOne )

inline

Definition at line 470 of file CglProbing.hpp.

## whenAtUBInDisaggregation()

bool whenAtUBInDisaggregation | ( | const disaggregationAction & | dis | ) |

inline

Definition at line 472 of file CglProbing.hpp.

## setWhenAtUBInDisaggregation()

void setWhenAtUBInDisaggregation | ( | disaggregationAction & | dis,
|  | bool | whenAtUB )

inline

Definition at line 474 of file CglProbing.hpp.

## affectedToUBInDisaggregation()

bool affectedToUBInDisaggregation | ( | const disaggregationAction & | dis | ) |

inline

Definition at line 476 of file CglProbing.hpp.

## setAffectedToUBInDisaggregation()

void setAffectedToUBInDisaggregation | ( | disaggregationAction & | dis,
|  | bool | affectedToUB )

inline

Definition at line 478 of file CglProbing.hpp.

## CglProbingUnitTest()

void CglProbingUnitTest | ( | const OsiSolverInterface * | siP,
|  | const std::string | mpdDir )

A function that tests the methods in the CglProbing class.

The only reason for it not to be a member method is that this way it doesn't have to be compiled into the library. And that's a gain, because the library should be compiled with optimization on, but this method should be compiled with debugging.